import { useState, useEffect } from 'react'
import Taro from '@tarojs/taro'
import { View, Text } from '@tarojs/components'
import starOn from '@/assets/icons/GuideCheck/starOn.png'
import starOff from '@/assets/icons/GuideCheck/starOff.png'
import formatTime from '@/utils/formatTime'
import food from '@/assets/icons/ProCard/food.png'
import Popup from '@/components/Popup'
import './style.less'


const scoreList = new Array(5).fill(0)
const score = '3.9'



export default (props) => {
  const { showCutover, maskClosable, list, onClose } = props

  const [CollectNub, setCollectNub] = useState(1)

  const ButtonCancel = () => {
    onClose()
  }
  const ButtonOK = (e) => {
    onClose()

  }

  const Nuberr = () => {
    setCollectNub(+1)
  }

  return (
    <Popup show={showCutover} maskClosable={maskClosable} onClose={onClose} className='box-content' >
      {/* <AlreadyUsedMolded list={list} /> */}
      {
        list.map((item, index) => {
          return (
            <View class='left-complete-one'  >
              <View className='v1'>
                <View className='left-viewText'>
                  返现￥{(item.cashback / 100)?.toFixed(2)}
                </View>
              </View>
              <View className='v2'>
                <View className='title-image' >
                  <image className='image-1' mode='scaleToFill' src={item.poster || []}></image>
                  <image className='image-2' src={food}></image>
                </View>
                <View className='title-content'>
                  <View className='Pro-title'  >
                    <View className='title-text'>
                      {item.packageDescription}
                    </View>
                    <View className='title-money-2'>
                      数量：{item.amount}张
                    </View>
                  </View>
                  <text className='title-money' >￥{(item.unitPrice / 100)?.toFixed(2)}元</text><text className='title-money-3'>订单编号：{item.orderId}</text>
                  <View className='title-time'>
                    核销时间：{" "}
                    {formatTime(item.verifiedDate, "yyyy/MM/dd hh:mm")}
                  </View>
                </View>
              </View>
            </View>
          )

        })
      }
      <View className='pjLine'></View>
      <view className='item-center-Number' >
        {/* 评分 */}
        <view className='card-box-star'>
          <text className='card-box-star-text' onClick={Nuberr} >口味：</text>
          {
            scoreList.map((_, index) => {

              const src = (index + `${CollectNub}`) < score ? starOn : starOff
              return (
                <image className='card-star-image' key={index} src={src} onClick={Nuberr} />
              )
            })
          }
        </view>
        <view className='card-box-star'>
          <text className='card-box-star-text' onClick={Nuberr} >环境：</text>
          {
            scoreList.map((_, index) => {

              const src = (index + `${CollectNub}`) < score ? starOn : starOff
              return (
                <image className='card-star-image' key={index} src={src} onClick={Nuberr} />
              )
            })
          }
        </view>
        <view className='card-box-star'>
          <text className='card-box-star-text' onClick={Nuberr} >服务：</text>
          {
            scoreList.map((_, index) => {

              const src = (index + `${CollectNub}`) < score ? starOn : starOff
              return (
                <image className='card-star-image' key={index} src={src} onClick={Nuberr} />
              )
            })
          }
        </view>
      </view>
      <view className='buy-button-box' >
        <button className='button-Cancel' onClick={ButtonCancel} >取消</button>
        <button className='button-OK' onClick={ButtonOK} >确定</button>
      </view>
    </Popup>


  )
}
